rem prog.cmd  PeterJ,    29-Dec-2019.
@prompt $$$s

rem ### Cleanup old log files and stuff
del vivado_mmi_elf.log

set proj_name="spec7_wr_ref_top"
set lm32_wrpc_elf="../../../sw/precompiled/wrps-sw_spec7/wrc.elf"
set lm32_wrpc_instpath="lm32_wrpc_memory"

rem ### note that environment variable "VIVADO" must be set to something like "E:\Xilinx\Vivado\2017.1\bin\"
rem ### in your (User) Environment Variables
%VIVADO%updatemem -meminfo %proj_name%.mmi -data %lm32_wrpc_elf% -bit %proj_name%.bit -proc %lm32_wrpc_instpath% -out %proj_name%_elf.bit -force >> vivado_mmi_elf.log
